## python-watcherclient 2.2.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

Babel!=2.4.0,>=2.5.3 # BSD
cliff!=2.9.0,>=2.11.0 # Apache-2.0
osc-lib>=1.10.0 # Apache-2.0
oslo.i18n>=3.20.0 # Apache-2.0
oslo.utils>=3.36.0 # Apache-2.0
pbr!=2.1.0,>=3.1.1 # Apache-2.0
PrettyTable<0.8,>=0.7.2 # BSD
keystoneauth1>=3.4.0 # Apache-2.0
six>=1.11.0 # MIT
PyYAML>=3.12 # MIT

=== debian/changelog ===
python-watcherclient (2.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 14:42:22 +0200

python-watcherclient (2.2.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast
  * d/changelog: Remove trailing whitespaces

  [ Thomas Goirand ]
  * New upstream release.
  * Removed Python 2 support.
  * Removed fix-py3-str-bytes-error.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Mon, 25 Mar 2019 21:54:36 +0100

=== debian/control ===
Source: python-watcherclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-babel,
 python3-cliff,
 python3-coverage,
 python3-fixtures,
 python3-hacking,
 python3-keystoneauth1,
 python3-mock,
 python3-openstackclient,
 python3-openstackdocstheme,
 python3-osc-lib,
 python3-oslo.i18n,
 python3-oslo.utils,
 python3-oslotest,
 python3-prettytable,
 python3-six,
 python3-stestr,
 python3-subunit,
 python3-tempest,
 python3-testscenarios,
 python3-testtools,
 python3-yaml,
 subunit,
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-watcherclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-watcherclient.git
Homepage: https://github.com/openstack/python-watcherclient

Package: python-watcherclient-doc
Architecture: all
Section: doc
Depends:
 libjs-bootstrap,
 libjs-jquery,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Cloud Optimization as a Service - client doc
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the documentation.

Package: python3-watcherclient
Architecture: all
Depends:
 python3-babel,
 python3-cliff,
 python3-keystoneauth1,
 python3-openstackclient,
 python3-osc-lib,
 python3-oslo.i18n,
 python3-oslo.utils,
 python3-pbr,
 python3-prettytable,
 python3-six,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-watcherclient-doc,
Description: OpenStack Cloud Optimization as a Service client - Python 3.x
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Python 3.x module and the Watcher CLI.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = https://github.com/openstack/python-watcherclient.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

export PATH := $(CURDIR)/debian/tmp/usr/bin:$(PATH)

override_dh_auto_clean:
	rm -rf build .stestr .testrepository
	rm -f AUTHORS ChangeLog

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	for i in $(PYTHON3S) ; do \
		python3 setup.py install -f --install-layout=deb --root=$(CURDIR)/debian/tmp ; \
	done
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/debian/python3-watcherclient/usr/lib/python3/dist-packages pkgos-dh_auto_test --no-py2 --test-path=./watcherclient/tests/unit
endif

override_dh_auto_test:
	echo "Do nothing..."

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-watcherclient-doc/usr/share/doc/python-watcherclient-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## python-watcherclient 2.4.0

=== debian/changelog ===
python-watcherclient (2.4.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 01:53:19 +0200

python-watcherclient (2.4.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Sep 2019 10:06:03 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Thomas Goirand <zigo@debian.org>,
  Michal Arbet <michal.arbet@ultimum.io>,
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 10),
  dh-python,
  openstack-pkg-tools,
  python3-all,
@@ -36,7 +36,7 @@
  python3-testtools,
  python3-yaml,
  subunit,
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-watcherclient
 Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-watcherclient.git
 Homepage: https://github.com/openstack/python-watcherclient

## python-watcherclient 3.1.1

=== doc/requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

openstackdocstheme>=2.2.1 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD
sphinxcontrib-apidoc>=0.2.0 # BSD

=== debian/changelog ===
python-watcherclient (3.1.1-0ubuntu1~cloud0) focal-victoria; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 11 Sep 2020 21:37:55 +0000

python-watcherclient (3.1.1-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 11 Sep 2020 16:38:32 -0400

python-watcherclient (3.1.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/copyright, d/rules: Update upstream git URL.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 29 Jul 2020 15:06:21 -0400

python-watcherclient (3.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules, d/compat: Switch to debhelper compat 12 and pybuild.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 12 Jun 2020 14:45:44 -0400

python-watcherclient (2.2.0-0ubuntu2) eoan; urgency=medium

  * d/rules, d/control, d/python(3)-*: Drop Python 2 support.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 10 Jul 2019 14:08:25 -0400

python-watcherclient (2.2.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Drop use of OS_TEST_PATH.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Nov 2018 15:10:08 -0500

python-watcherclient (2.1.0-0ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/gbp.conf: Retain for pristine-tar.
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/watch: Get tarball from tarballs.openstack.org.
  * New upstream release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules: Set OS_TEST_PATH to unit tests path.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 03 Aug 2018 15:01:22 -0400

python-watcherclient (1.6.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 13 Feb 2018 08:43:02 -0500

python-watcherclient (1.5.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/*: wrap-and-sort -bast.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Standards-Version to 4.1.2.
  * d/control: Bump debhelper compat to 10.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 25 Jan 2018 09:25:31 -0500

python-watcherclient (1.4.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Dropped. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 13 Nov 2017 13:49:45 -0500

=== debian/control ===
Source: python-watcherclient
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 3.1.1),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
Build-Depends-Indep:
 python3-babel (>= 2.5.3),
 python3-cliff (>= 2.11.0),
 python3-coverage (>= 4.0),
 python3-fixtures (>= 3.0.0),
 python3-hacking (>= 0.12.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-mock (>= 2.0.0),
 python3-openstackclient (>= 2.6.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-testr,
 python3-osc-lib (>= 1.10.0),
 python3-oslo.i18n (>= 3.20.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.36.0),
 python3-oslotest (>= 1:3.2.0),
 python3-prettytable (>= 0.7.2),
 python3-six (>= 1.11.0),
 python3-stestr (>= 2.0.0),
 python3-subunit (>= 1.0.0),
 python3-tempest (>= 1:17.1.0),
 python3-testrepository (>= 0.0.18),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-wheel (>= 0.24.0),
 python3-yaml (>= 3.13),
 subunit,
Standards-Version: 4.5.0
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-watcherclient
Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-watcherclient
Homepage: https://opendev.org/openstack/python-watcherclient
Testsuite: autopkgtest-pkg-python

Package: python-watcherclient-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Cloud Optimization as a Service - client doc
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the documentation.

Package: python3-watcherclient
Architecture: all
Depends:
 python3-babel (>= 2.5.3),
 python3-cliff (>= 2.11.0),
 python3-fixtures (>= 3.0.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-openstackclient (>= 2.6.0),
 python3-osc-lib (>= 1.10.0),
 python3-oslo.i18n (>= 3.20.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.36.0),
 python3-pbr (>= 3.1.1),
 python3-prettytable (>= 0.7.2),
 python3-six (>= 1.11.0),
 python3-yaml (>= 3.13),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Cloud Optimization as a Service client - Python 3.x
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Python 3.x module and the Watcher CLI.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
    http://tarballs.openstack.org/python-watcherclient/ python-watcherclient-(\d.*)\.tar\.gz

## python-watcherclient 3.2.0

=== debian/changelog ===
python-watcherclient (3.2.0-0ubuntu1~cloud0) focal-wallaby; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Mon, 22 Mar 2021 23:23:11 +0000

python-watcherclient (3.2.0-0ubuntu1) hirsute; urgency=medium

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

  [ Corey Bryant ]
  * New upstream release for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 17 Mar 2021 10:33:19 -0400

=== debian/control ===
--- 
+++ 
@@ -42,8 +42,8 @@
  python3-yaml (>= 3.13),
  subunit,
 Standards-Version: 4.5.0
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-watcherclient
-Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/python-watcherclient
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-watcherclient
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-watcherclient
 Homepage: https://opendev.org/openstack/python-watcherclient
 Testsuite: autopkgtest-pkg-python

## python-watcherclient 3.3.0

=== debian/changelog ===
python-watcherclient (3.3.0-0ubuntu1) jammy; urgency=medium

  * New upstream release for OpenStack Yoga.
  * d/control: Bump debhelper compat to 13.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 01 Dec 2021 16:05:37 -0500

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  openstack-pkg-tools,
  python3-all,

## python-watcherclient 3.4.0

=== debian/changelog ===
python-watcherclient (3.4.0-2~bpo11+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Fri, 25 Mar 2022 11:04:09 +0000

python-watcherclient (3.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 12:01:33 +0100

python-watcherclient (3.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Feb 2022 21:51:57 +0100

python-watcherclient (3.3.0-3) unstable; urgency=medium

  * Add reproducible-build.patch (Closes: #960607).

 -- Thomas Goirand <zigo@debian.org>  Tue, 28 Dec 2021 19:37:59 +0100

python-watcherclient (3.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 17:56:08 +0200

python-watcherclient (3.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Sep 2021 13:01:43 +0200

python-watcherclient (3.2.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Michal Arbet <michal.arbet@ultimum.io>  Mon, 16 Aug 2021 11:05:04 +0200

python-watcherclient (3.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Debhelper 11.

 -- Thomas Goirand <zigo@debian.org>  Mon, 15 Mar 2021 21:13:36 +0100

python-watcherclient (3.1.1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.
  * Install the watcher bash-completion file.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2020 17:36:36 +0200

python-watcherclient (3.1.1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Sep 2020 22:58:49 +0200

python-watcherclient (3.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 09 May 2020 00:01:59 +0200

python-watcherclient (3.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Add python3-sphinxcontrib.apidoc as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 Apr 2020 23:43:10 +0200

## python-watcherclient 4.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

cliff!=2.9.0,>=2.11.0 # Apache-2.0
osc-lib>=1.10.0 # Apache-2.0
oslo.i18n>=3.20.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.utils>=3.36.0 # Apache-2.0
pbr!=2.1.0,>=3.1.1 # Apache-2.0
keystoneauth1>=3.4.0 # Apache-2.0
six>=1.11.0 # MIT
PyYAML>=3.13 # MIT

=== debian/changelog ===
python-watcherclient (4.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 14:47:45 +0200

python-watcherclient (4.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Sep 2022 14:44:37 +0200

=== debian/control ===
Source: python-watcherclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-cliff,
 python3-coverage,
 python3-fixtures,
 python3-hacking,
 python3-keystoneauth1,
 python3-openstackclient,
 python3-openstackdocstheme,
 python3-osc-lib,
 python3-oslo.i18n,
 python3-oslo.utils,
 python3-oslotest,
 python3-prettytable,
 python3-six,
 python3-sphinxcontrib.apidoc,
 python3-stestr,
 python3-subunit,
 python3-tempest,
 python3-testscenarios,
 python3-testtools,
 python3-yaml,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-watcherclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-watcherclient.git
Homepage: https://github.com/openstack/python-watcherclient

Package: python-watcherclient-doc
Architecture: all
Section: doc
Depends:
 libjs-bootstrap,
 libjs-jquery,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Cloud Optimization as a Service - client doc
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the documentation.

Package: python3-watcherclient
Architecture: all
Depends:
 python3-cliff,
 python3-keystoneauth1,
 python3-openstackclient,
 python3-osc-lib,
 python3-oslo.i18n,
 python3-oslo.utils,
 python3-pbr,
 python3-prettytable,
 python3-six,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-watcherclient-doc,
Description: OpenStack Cloud Optimization as a Service client - Python 3.x
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Python 3.x module and the Watcher CLI.

=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,7 @@
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	PYTHONPATH=$(CURDIR)/debian/python3-watcherclient/usr/lib/python3/dist-packages pkgos-dh_auto_test --no-py2 --test-path=./watcherclient/tests/unit
 endif
+	install -D -m 0644 tools/watcher.bash_completion $(CURDIR)/debian/python3-watcherclient-doc/usr/share/bash-completion/completions/watcher
 
 override_dh_auto_test:
 	echo "Do nothing..."

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/python-watcherclient/tags .*/(\d[brc\d\.]+)\.tar\.gz

## python-watcherclient 4.1.0

=== debian/changelog ===
python-watcherclient (4.1.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1048539).
  * Correctly installs bash-completion.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Aug 2023 11:16:52 +0200

python-watcherclient (4.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 13:30:13 +0200

python-watcherclient (4.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Feb 2023 14:28:33 +0100

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,10 @@
 export PATH := $(CURDIR)/debian/tmp/usr/bin:$(PATH)
 
 override_dh_auto_clean:
-	rm -rf build .stestr .testrepository
 	rm -f AUTHORS ChangeLog
+	rm -rf build .stestr *.egg-info doc/source/reference/api
+	find . -iname '*.pyc' -delete
+	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
 override_dh_auto_build:
 	echo "Do nothing..."
@@ -22,7 +24,7 @@
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	PYTHONPATH=$(CURDIR)/debian/python3-watcherclient/usr/lib/python3/dist-packages pkgos-dh_auto_test --no-py2 --test-path=./watcherclient/tests/unit
 endif
-	install -D -m 0644 tools/watcher.bash_completion $(CURDIR)/debian/python3-watcherclient-doc/usr/share/bash-completion/completions/watcher
+	install -D -m 0644 tools/watcher.bash_completion $(CURDIR)/debian/python3-watcherclient/usr/share/bash-completion/completions/watcher
 
 override_dh_auto_test:
 	echo "Do nothing..."

## python-watcherclient 4.2.0

=== debian/changelog ===
python-watcherclient (4.2.0-0ubuntu1~cloud0) jammy-bobcat; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 29 Sep 2023 06:11:55 +0000

python-watcherclient (4.2.0-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 28 Sep 2023 09:45:30 -0400

python-watcherclient (4.1.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Feb 2023 14:33:57 -0500

python-watcherclient (4.0.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 12 Jan 2023 15:31:47 -0500

python-watcherclient (3.4.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 31 May 2022 17:15:36 -0400

## python-watcherclient 4.4.0

=== debian/changelog ===
python-watcherclient (4.4.0-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Mar 2024 13:17:19 +0000

=== debian/control ===
Source: python-watcherclient
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 3.1.1),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
Build-Depends-Indep:
 python3-babel (>= 2.5.3),
 python3-cliff (>= 2.11.0),
 python3-coverage (>= 4.0),
 python3-fixtures (>= 3.0.0),
 python3-hacking (>= 0.12.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-mock (>= 2.0.0),
 python3-openstackclient (>= 2.6.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-testr,
 python3-osc-lib (>= 1.10.0),
 python3-oslo.i18n (>= 3.20.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.36.0),
 python3-oslotest (>= 1:3.2.0),
 python3-prettytable (>= 0.7.2),
 python3-six (>= 1.11.0),
 python3-stestr (>= 2.0.0),
 python3-subunit (>= 1.0.0),
 python3-tempest (>= 1:17.1.0),
 python3-testrepository (>= 0.0.18),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-wheel (>= 0.24.0),
 python3-yaml (>= 3.13),
 subunit,
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-watcherclient
Homepage: https://opendev.org/openstack/python-watcherclient
Testsuite: autopkgtest-pkg-python

Package: python-watcherclient-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Cloud Optimization as a Service - client doc
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the documentation.

Package: python3-watcherclient
Architecture: all
Depends:
 python3-babel (>= 2.5.3),
 python3-cliff (>= 2.11.0),
 python3-fixtures (>= 3.0.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-openstackclient (>= 2.6.0),
 python3-osc-lib (>= 1.10.0),
 python3-oslo.i18n (>= 3.20.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.36.0),
 python3-pbr (>= 3.1.1),
 python3-prettytable (>= 0.7.2),
 python3-six (>= 1.11.0),
 python3-yaml (>= 3.13),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Cloud Optimization as a Service client - Python 3.x
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Python 3.x module and the Watcher CLI.

## python-watcherclient 4.5.0

=== debian/changelog ===
python-watcherclient (4.5.0-4) unstable; urgency=medium

  * Upgrade to boostrap 5 (Closes: #1088512).

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Jan 2025 11:52:26 +0100

python-watcherclient (4.5.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090632).

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Dec 2024 21:59:21 +0100

python-watcherclient (4.5.0-2) unstable; urgency=medium

  * Removed /usr/bin alternative removal in {pre,post}rm.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Sep 2024 10:59:55 +0200

python-watcherclient (4.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 09 Sep 2024 13:27:12 +0200

python-watcherclient (4.4.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Apr 2024 08:49:43 +0200

python-watcherclient (4.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 Mar 2024 19:23:57 +0100

python-watcherclient (4.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed python3-six from (b-)depends.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Mar 2024 21:33:04 +0100

python-watcherclient (4.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 17:25:24 +0200

python-watcherclient (4.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Sep 2023 14:12:14 +0200

=== debian/control ===
Source: python-watcherclient
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 python3-cliff,
 python3-coverage,
 python3-fixtures,
 python3-hacking,
 python3-keystoneauth1,
 python3-openstackclient,
 python3-openstackdocstheme,
 python3-osc-lib,
 python3-oslo.i18n,
 python3-oslo.utils,
 python3-oslotest,
 python3-prettytable,
 python3-sphinxcontrib.apidoc,
 python3-stestr,
 python3-subunit,
 python3-tempest,
 python3-testscenarios,
 python3-testtools,
 python3-yaml,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/clients/python-watcherclient
Vcs-Git: https://salsa.debian.org/openstack-team/clients/python-watcherclient.git
Homepage: https://github.com/openstack/python-watcherclient

Package: python-watcherclient-doc
Architecture: all
Section: doc
Depends:
 libjs-bootstrap5,
 libjs-jquery,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Cloud Optimization as a Service - client doc
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the documentation.

Package: python3-watcherclient
Architecture: all
Depends:
 python3-cliff,
 python3-keystoneauth1,
 python3-openstackclient,
 python3-osc-lib,
 python3-oslo.i18n,
 python3-oslo.utils,
 python3-pbr,
 python3-prettytable,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-watcherclient-doc,
Description: OpenStack Cloud Optimization as a Service client - Python 3.x
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Python 3.x module and the Watcher CLI.

## python-watcherclient 4.6.0

=== debian/changelog ===
python-watcherclient (4.6.0-0ubuntu1) plucky; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * New upstream release for OpenStack Epoxy.
  * d/control: Drop surplus dependencies.

 -- James Page <james.page@ubuntu.com>  Sat, 18 Jan 2025 11:33:27 +0000

python-watcherclient (4.5.0-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Tue, 24 Sep 2024 16:34:43 +0100

## python-watcherclient 4.8.0

=== debian/changelog ===
python-watcherclient (4.8.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 12:49:15 +0100

python-watcherclient (4.8.0-1) experimental; urgency=medium

  * New upstream release.
  * Removed tempest from (build-)depends.
  * d/watch: switch to version=4 and mode=git.
  * Removed reproducible-build.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Mar 2025 13:19:26 +0100

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,6 @@
  python3-sphinxcontrib.apidoc,
  python3-stestr,
  python3-subunit,
- python3-tempest,
  python3-testscenarios,
  python3-testtools,
  python3-yaml,

## python-watcherclient 4.8.0+git2025070713.b18e1b2

=== debian/changelog ===
python-watcherclient (4.8.0+git2025070713.b18e1b2-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/s/options: Ignore .launchpad.yaml when generating diffs.
  * d/rules: Include PBR version. 

 -- Myles Penner <myles.penner@canonical.com>  Thu, 17 Jul 2025 13:46:32 -0700

python-watcherclient (4.8.0-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.

 -- James Page <james.page@ubuntu.com>  Mon, 03 Mar 2025 09:38:11 +0000

python-watcherclient (4.7.0-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.

 -- James Page <james.page@ubuntu.com>  Thu, 13 Feb 2025 16:53:43 +0000

## python-watcherclient 4.9.0

=== requirements.txt ===
cliff!=2.9.0,>=2.11.0 # Apache-2.0
osc-lib>=1.10.0 # Apache-2.0
oslo.i18n>=3.20.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.utils>=3.36.0 # Apache-2.0
pbr!=2.1.0,>=3.1.1 # Apache-2.0
keystoneauth1>=3.4.0 # Apache-2.0
PyYAML>=3.13 # MIT

=== debian/changelog ===
python-watcherclient (4.9.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 23:06:29 +0200

python-watcherclient (4.9.0-1) experimental; urgency=medium

  * New upstream release.
  * Add python3-tempest as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Mon, 01 Sep 2025 17:57:12 +0200

=== debian/control ===
--- 
+++ 
@@ -31,6 +31,7 @@
  python3-subunit,
  python3-testscenarios,
  python3-testtools,
+ python3-tempest,
  python3-yaml,
  subunit,
 Standards-Version: 4.4.1

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/openstack-pkg-tools/pkgos.make
 
 %:
-	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 export PATH := $(CURDIR)/debian/tmp/usr/bin:$(PATH)
 
@@ -32,7 +32,7 @@
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
 	python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-watcherclient-doc/usr/share/doc/python-watcherclient-doc/html
-	dh_sphinxdoc -O--buildsystem=python_distutils
+	dh_sphinxdoc -O--buildsystem=pybuild
 endif
 
 override_dh_python3:

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/python-watcherclient refs/tags/(\d[brc\d\.]+)

## python-watcherclient 4.10.0

=== debian/changelog ===
python-watcherclient (4.10.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Feb 2026 19:22:30 +0100

python-watcherclient (4.9.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1048539).

 -- Thomas Goirand <zigo@debian.org>  Wed, 11 Feb 2026 10:57:15 +0100

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 override_dh_auto_clean:
 	rm -f AUTHORS ChangeLog
-	rm -rf build .stestr *.egg-info doc/source/reference/api
+	rm -rf build .stestr *.egg-info doc/source/reference/api .pybuild
 	find . -iname '*.pyc' -delete
 	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
